summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAchim Gottinger <achim@gentoo.org>2000-08-09 23:55:48 +0000
committerAchim Gottinger <achim@gentoo.org>2000-08-09 23:55:48 +0000
commite8e472818571e8b146754a9d05814b23e9fa7df9 (patch)
treecf8eff5f6e358a66faf1b0a59cf21944242300f6 /net-nds/ypbind/files
parent*** empty log message *** (diff)
downloadhistorical-e8e472818571e8b146754a9d05814b23e9fa7df9.tar.gz
historical-e8e472818571e8b146754a9d05814b23e9fa7df9.tar.bz2
historical-e8e472818571e8b146754a9d05814b23e9fa7df9.zip
*** empty log message ***
Diffstat (limited to 'net-nds/ypbind/files')
-rw-r--r--net-nds/ypbind/files/digest1
-rwxr-xr-xnet-nds/ypbind/files/ypbind38
2 files changed, 39 insertions, 0 deletions
diff --git a/net-nds/ypbind/files/digest b/net-nds/ypbind/files/digest
new file mode 100644
index 000000000000..69538539ae69
--- /dev/null
+++ b/net-nds/ypbind/files/digest
@@ -0,0 +1 @@
+MD5 903b483e2434230c63407216380b6fc9 ypbind-mt-1.6.tar.gz
diff --git a/net-nds/ypbind/files/ypbind b/net-nds/ypbind/files/ypbind
new file mode 100755
index 000000000000..dea310acba80
--- /dev/null
+++ b/net-nds/ypbind/files/ypbind
@@ -0,0 +1,38 @@
+#!/bin/sh
+#RCUPDATE:2 3 4:75:This line is required for script management
+
+. /etc/rc.d/config/functions
+. /etc/rc.d/config/basic
+
+SERVICE="NIS Client"
+opts="start stop restart"
+
+EXE="/usr/sbin/ypbind"
+PID="/var/run/ypbind.pid"
+
+start() {
+ domainname ${YP_DOMAIN}
+ ebegin "Starting $SERVICE..."
+ start-stop-daemon --start --quiet --exec $EXE
+ eend $? "Started $SERVICE." "Error Starting $SERVICE."
+}
+
+stop() {
+ ebegin "Stopping $SERVICE..."
+ start-stop-daemon --stop --quiet --signal 9 --pid $PID
+ eend $? "Stopped $SERVICE." "Error Stopping $SERVICE."
+
+ # Remove binding files, if ypbind "forget" it
+ rm -f /var/yp/binding/*
+ rm -f /var/lock/subsys/ypbind
+}
+
+restart() {
+ stop
+ start
+}
+
+doservice ${@}
+
+
+